Package junit.runner

# Class Sorter

java.lang.Object
junit.runner.Sorter

public class Sorter extends Object
A custom quick sort with support to customize the swap behaviour. NOTICE: We can't use the the sorting support from the JDK 1.2 collection classes because of the JDK 1.1.7 compatibility.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Sorter.Swapper`

## Constructor Summary

Constructors
Constructor
Description
`Sorter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`sortStrings(Vector values, int left, int right, Sorter.Swapper swapper)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Sorter

public Sorter()

## Method Details

### sortStrings

public static void sortStrings(Vector values, int left, int right, Sorter.Swapper swapper)